> ## Documentation Index
> Fetch the complete documentation index at: https://fdocs.info/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Post's Comments

> - Get comments of a post. 

 - 1 credit per call.



## OpenAPI

````yaml GET /get-post-comments
openapi: 3.0.1
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://web-scraping-api2.p.rapidapi.com
security:
  - ApiKeyAuth: []
paths:
  /get-post-comments:
    get:
      description: |-
        - Get comments of a post. 

         - 1 credit per call.
      parameters:
        - name: urn
          in: query
          description: The URN of the post. Either urn or share_urn is required.
          required: false
          schema:
            type: string
        - name: share_urn
          in: query
          description: The share URN of the post. Can be used as an alternative to urn.
          required: false
          schema:
            type: string
        - name: sort_by
          in: query
          required: false
          description: >-
            Default value: Most relevant. Possible values: Most relevant, Most
            recent.
          schema:
            type: string
          example: Most relevant
        - name: page
          in: query
          required: false
          description: ''
          schema:
            type: integer
          example: 0
        - name: pagination_token
          in: query
          required: false
          description: >-
            Required when fetching the next result page. Please use the token
            from the result of your previous call.
          schema:
            type: string
          example: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PostComments'
        '400':
          description: Invalid urn
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InvalidURN'
        '404':
          description: Post not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProfileNotFound'
        '503':
          description: Profile not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SystemError'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    PostComments:
      type: object
      properties:
        data:
          type: array
          items:
            type: object
            properties:
              annotation:
                type: string
                nullable: true
                example: null
              commenter:
                type: object
                properties:
                  headline:
                    type: string
                    example: >-
                      Procurement | Certified Functional Analyst | Product
                      Design & Engineering
                  linkedin_url:
                    type: string
                    format: uri
                    example: https://www.linkedin.com/in/ssgoh
                  name:
                    type: string
                    example: Goh Swee Siong
              created_at:
                type: integer
                example: 1732656234066
              created_datetime:
                type: string
                example: 11/26/2024, 1:23:54 PM
              permalink:
                type: string
                format: uri
                example: >-
                  https://www.linkedin.com/feed/update/urn:li:activity:7267273010393358336?commentUrn=urn%3Ali%3Acomment%3A%28activity%3A7267273010393358336%2C7267286973164187649%29&dashCommentUrn=urn%3Ali%3Afsd_comment%3A%287267286973164187649%2Curn%3Ali%3Aactivity%3A7267273010393358336%29
              pinned:
                type: boolean
                example: false
              replies:
                type: array
                items: {}
              text:
                type: string
                example: >-
                  This happened all the time in high performance culture
                  nowadays. Nothing new. As the doer, we need to seek
                  clarification and pin down to do or not to do even at the
                  expense of irking the manager.
              thread_urn:
                type: string
                nullable: true
                example: null
        message:
          type: string
          example: ok
        pagination_token:
          type: string
          example: 1388203668-1733209092407-fec4cb84fb5d80c384f61dba04a4f290
        total:
          type: integer
          example: 10
      required:
        - data
        - message
        - pagination_token
        - total
    InvalidURN:
      type: object
      properties:
        data:
          type: object
          nullable: true
          example: null
        message:
          type: string
          example: 'Bad request: Invalid URN.'
    ProfileNotFound:
      type: object
      properties:
        data:
          type: object
          nullable: true
          example: null
        message:
          type: string
          example: The url was not found on Linkedin.
    SystemError:
      type: object
      properties:
        data:
          type: object
          nullable: true
          example: null
        message:
          type: string
          example: System error. We will fix it soon!
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-rapidapi-key

````